<div dir="ltr">Did they build from source? There error message suggests they took binaries built on one Linux distro and are running it on another, which wouldn't work.  I see no reason why it wouldn't run on RHEL5 though, assuming they are already upgrading Python from the stock package, which is sounds like they are.  If you can get info about how it was downloaded, built and installed, that might shed some more light.<div><br></div><div>Mike</div></div><div class="gmail_extra"><br><div class="gmail_quote">On Fri, Nov 20, 2015 at 3:13 AM, Derek Wallace <span dir="ltr"><<a href="mailto:Derek.Wallace@synopsys.com" target="_blank">Derek.Wallace@synopsys.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">





<div lang="EN-US" link="blue" vlink="purple">
<div>
<p class="MsoNormal">Hi,<u></u><u></u></p>
<p class="MsoNormal">IT are trying to install matplot lib (1.5.0) for Python 3.5.0.<u></u><u></u></p>
<p class="MsoNormal">They have it working on RHEL6 machines and claim it doesn’t/cant/wont work on RHEL 5 machines.<u></u><u></u></p>
<p class="MsoNormal"><u></u> <u></u></p>
<p class="MsoNormal">I don’t have specific information from them why or what made them come to that conclusion.<u></u><u></u></p>
<p class="MsoNormal">However when I try running I get the following.<u></u><u></u></p>
<p class="MsoNormal"><u></u> <u></u></p>
<p class="MsoNormal">$ /depot/Python-3.5.0/bin/python                 <u></u><u></u></p>
<p class="MsoNormal">Python 3.5.0 (default, Oct 15 2015, 22:50:34) <u></u><u></u></p>
<p class="MsoNormal">[GCC 4.1.2 20080704 (Red Hat 4.1.2-48)] on linux<u></u><u></u></p>
<p class="MsoNormal">Type "help", "copyright", "credits" or "license" for more information.<u></u><u></u></p>
<p class="MsoNormal">>>> import matplotlib<u></u><u></u></p>
<p class="MsoNormal">>>> print(matplotlib.__version__)<u></u><u></u></p>
<p class="MsoNormal">1.5.0<u></u><u></u></p>
<p class="MsoNormal">>>> import matplotlib.pyplot as plt<u></u><u></u></p>
<p class="MsoNormal">Traceback (most recent call last):<u></u><u></u></p>
<p class="MsoNormal">  File "<stdin>", line 1, in <module><u></u><u></u></p>
<p class="MsoNormal">  File "/depot/Python-3.5.0/lib/python3.5/site-packages/matplotlib/pyplot.py", line 29, in <module><u></u><u></u></p>
<p class="MsoNormal">    import matplotlib.colorbar<u></u><u></u></p>
<p class="MsoNormal">  File "/depot/Python-3.5.0/lib/python3.5/site-packages/matplotlib/colorbar.py", line 32, in <module><u></u><u></u></p>
<p class="MsoNormal">    import matplotlib.artist as martist<u></u><u></u></p>
<p class="MsoNormal">  File "/depot/Python-3.5.0/lib/python3.5/site-packages/matplotlib/artist.py", line 14, in <module><u></u><u></u></p>
<p class="MsoNormal">    from .transforms import (Bbox, IdentityTransform, TransformedBbox,<u></u><u></u></p>
<p class="MsoNormal">  File "/depot/Python-3.5.0/lib/python3.5/site-packages/matplotlib/transforms.py", line 39, in <module><u></u><u></u></p>
<p class="MsoNormal">    from matplotlib._path import (affine_transform, count_bboxes_overlapping_bbox,<u></u><u></u></p>
<p class="MsoNormal">ImportError: /depot/Python-3.5.0/lib/python3.5/site-packages/matplotlib/_<a href="http://path.cpython-35m-x86_64-linux-gnu.so" target="_blank">path.cpython-35m-x86_64-linux-gnu.so</a>: ELF file OS ABI invalid<u></u><u></u></p>
<p class="MsoNormal"><u></u> <u></u></p>
<p class="MsoNormal"><u></u> <u></u></p>
<p class="MsoNormal">Can anyone tell me if RHEL 5.x is supported or not?<u></u><u></u></p>
<p class="MsoNormal">Can anyone throw any light on the above error message.<u></u><u></u></p>
<p class="MsoNormal"><u></u> <u></u></p>
<p class="MsoNormal">Thx<span class="HOEnZb"><font color="#888888"><br>
Derek<u></u><u></u></font></span></p>
<p class="MsoNormal"><u></u> <u></u></p>
<p class="MsoNormal"><u></u> <u></u></p>
<p class="MsoNormal"><u></u> <u></u></p>
</div>
</div>

<br>_______________________________________________<br>
Matplotlib-users mailing list<br>
<a href="mailto:Matplotlib-users@python.org">Matplotlib-users@python.org</a><br>
<a href="https://mail.python.org/mailman/listinfo/matplotlib-users" rel="noreferrer" target="_blank">https://mail.python.org/mailman/listinfo/matplotlib-users</a><br>
<br></blockquote></div><br><br clear="all"><div><br></div>-- <br><div class="gmail_signature"><div dir="ltr">Michael Droettboom<div>Continuum Analytics</div></div></div>
</div>